#ifndef _GUI_H
#define _GUI_H

#include <stdio.h>
#include <sys/types.h>

/*
 * Liest Eingabekommandos aus 'fp' und fuehrt sie aus...
 */
extern void MainLoop (FILE *fp);

/*
 * Stellt die Bitmap in 'data' mit Breite 'w' und Hoehe 'h' im Ausgabe-
 * bereich dar. Der Ausgabebereich ausserhalb des Rechtecks (x,y,w,h)
 * wird nicht zerstoert.
 * 'data' muss im X11 Bitmap Format sein.
 */
extern void ShowBitmap (char *data, u_int w, u_int h, u_int x, u_int y);

/*
 * Wenn alle Teilbitmaps mittels ShowBitmap () uebergeben worden sind,
 * muss FlushBitmap () aufgerufen werden, damit die Aenderungen sichtbar
 * werden.
 */
extern void FlushBitmap (void);

/*
 * Verzoegerung in Millisekunden zwischen zwei Generationen
 */
extern int Verzoegerung;

/*
 * Warte 'zeit' Millisekunden.
 */
extern int Warte (u_long zeit);

#endif
