
/*
 * Commands in Ring
 */

#define COUNT		0	/* only the first packet */
#define GO		1	/* run one step          */
#define QUIT		2	/* quit slaves           */

/*
 * Datenstruktur. Wir brauchen ja nur das eine Kommando, und
 * den Zaehler fuer die Prozessoren
 */

typedef struct {
  int command;
  int prozessor;
  /*
   * fuer GO
   */
  int steps;
  int SurviveMin;
  int SurviveMax;
  int BirthMin;
  int BirthMax;
} comm;

typedef struct {
  int xsize;	/* Groesse horizontal		*/
  int ysize;	/* Groesse vertikal		*/
  int yoffs;	/* y-Position. Nur fuer Master	*/
  int length;	/* laenge der Bitmap in Bytes	*/
  int lofl;	/* laenge der Bitmap einer Zeile*/
} bmsize;
