#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <time.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/time.h>

#ifdef __HELIOS__

/*
 * Weder select(), noch usleep() funktionieren, -> busy waiting.
 */

int
Warte (u_long sleep_time)
{
    u_long last;

    sleep_time = sleep_time*CLK_TCK/1000;
    if (sleep_time > 0) {
	last = clock ();
	while ((clock () - last) < sleep_time)
	  ;
    }
    return 0;
}

#else

int
Warte (u_long sleep_time)
{
    if (sleep_time > 0)
      usleep (sleep_time * 1000L);
    return 0;
}

#endif
